Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pokersource.enumerate
Class HoldemAbdulGroup

    java.lang.Object
      org.pokersource.enumerate.BaseHandGroup
          org.pokersource.enumerate.HoldemAbdulGroup

All Implemented Interfaces:
  java.lang.Comparable, HandGroup, HoldemHandGroup

    public class HoldemAbdulGroup

extends BaseHandGroup
implements HoldemHandGroup

A holdem hand group representing sets of starting hands defined using abdulian notation. The notation is:

     99+    pair >= 99
     ATs+   suited ace with kicker >= T
     KTs+   suited king with kicker >= T
     QTs+   suited queen with kicker >= T
     9xs+   any suited hand with a nine or higher (except those above)
     76s+   suited 0-gap connector, JT-76
     75s+   suited 1-gap connector, J9-75
     74s+   suited 2-gap connector, J8-74
     AT+    offsuit ace with kicker >= T
     KT+    offsuit king with kicker >= T
     QT+    offsuit queen with kicker >= T
     9x+    any offsuit hand with a nine or higher (except those above)
     76+    offsuit 0-gap connector, JT-76
     75+    offsuit 1-gap connector, J9-75
     74+    offsuit 2-gap connector, J8-74

Note that these hand groups are not mutually disjoint. For example, the hand group 9xs+ overlaps with 86s+, as both include 97s.

Author:
  Michael Maurer <mjmaurer@yahoo.com>

Field Summary
`private static org.apache.oro.text.regex.Pattern` | `acePattern`
`private static org.apache.oro.text.regex.Perl5Compiler` | `compiler`
`private static org.apache.oro.text.regex.Pattern` | `gap0Pattern`
`private static org.apache.oro.text.regex.Pattern` | `gap1Pattern`
`private static org.apache.oro.text.regex.Pattern` | `gap2Pattern`
`private static org.apache.oro.text.regex.Pattern` | `kingPattern`
`private static org.apache.oro.text.regex.Perl5Matcher` | `matcher`
`private static org.apache.oro.text.regex.Pattern` | `pairPattern`
`private static org.apache.oro.text.regex.Pattern` | `queenPattern`
`private static org.apache.oro.text.regex.Pattern` | `rankPattern`

Fields inherited from class org.pokersource.enumerate.BaseHandGroup
`myhands, myspec`

Constructor Summary
`HoldemAbdulGroup(java.lang.String groupSpec)`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.pokersource.enumerate.BaseHandGroup
`compareTo, getGroupSpec, getHands, getHandSet, isHandInGroup, numHands, toString, toStringAtomic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pokersource.enumerate.HandGroup
`getGroupSpec, getHands, getHandSet, isHandInGroup, numHands, toString, toStringAtomic`

Field Detail

### compiler

    private static org.apache.oro.text.regex.Perl5Compiler compiler

### matcher

    private static org.apache.oro.text.regex.Perl5Matcher matcher

### pairPattern

    private static org.apache.oro.text.regex.Pattern pairPattern

### acePattern

    private static org.apache.oro.text.regex.Pattern acePattern

### kingPattern

    private static org.apache.oro.text.regex.Pattern kingPattern

### queenPattern

    private static org.apache.oro.text.regex.Pattern queenPattern

### rankPattern

    private static org.apache.oro.text.regex.Pattern rankPattern

### gap0Pattern

    private static org.apache.oro.text.regex.Pattern gap0Pattern

### gap1Pattern

    private static org.apache.oro.text.regex.Pattern gap1Pattern

### gap2Pattern

    private static org.apache.oro.text.regex.Pattern gap2Pattern

Constructor Detail

### HoldemAbdulGroup

    public HoldemAbdulGroup(java.lang.String groupSpec)

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD